summaryrefslogtreecommitdiffstats
path: root/source/xap
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap')
-rwxr-xr-xsource/xap/pidgin/pidgin.SlackBuild2
-rw-r--r--source/xap/pidgin/slack-desc2
-rwxr-xr-xsource/xap/xscreensaver/xscreensaver.SlackBuild21
-rw-r--r--source/xap/xscreensaver/xscreensaver.no.expiration.date.diff30
4 files changed, 13 insertions, 42 deletions
diff --git a/source/xap/pidgin/pidgin.SlackBuild b/source/xap/pidgin/pidgin.SlackBuild
index 3a726c588..4bd95586e 100755
--- a/source/xap/pidgin/pidgin.SlackBuild
+++ b/source/xap/pidgin/pidgin.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pidgin
VERSION=${VERSION:-$(echo $PKGNAM-2.*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
PIDGINENC=${PIDGINENC:-3.1}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/xap/pidgin/slack-desc b/source/xap/pidgin/slack-desc
index d42bf9020..f201d72ce 100644
--- a/source/xap/pidgin/slack-desc
+++ b/source/xap/pidgin/slack-desc
@@ -14,6 +14,6 @@ pidgin: Messenger, Jabber, Gadu-Gadu, Napster, and Zephyr. These protocols
pidgin: are implemented using a modular, easy to use design. To use a
pidgin: protocol, just load the plugin for it.
pidgin:
-pidgin: For more info, see: http://www.pidgin.im
+pidgin: Homepage: http://www.pidgin.im
pidgin:
pidgin:
diff --git a/source/xap/xscreensaver/xscreensaver.SlackBuild b/source/xap/xscreensaver/xscreensaver.SlackBuild
index d5f262c12..7a2fbe021 100755
--- a/source/xap/xscreensaver/xscreensaver.SlackBuild
+++ b/source/xap/xscreensaver/xscreensaver.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2012, 2013, 2014, 2016, 2018, 2019, 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2012, 2013, 2014, 2016, 2018, 2019, 2020, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=xscreensaver
VERSION=${VERSION:-$(echo xscreensaver-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -75,9 +75,12 @@ if [ -L /lib${LIBDIRSUFFIX}/libpam.so.? ]; then
USE_PAM="--with-pam"
unset USE_SHADOW
else
+ ## NOTE: The patch below (and support for setgid shadow) is broken and
+ ## unmaintained. But the broken bits will be left as hints for anyone
+ ## down the line who might care.
# Allow xscreensaver to work setgid shadow. I'd rather avoid requiring
# setuid root on this if at all possible...
- zcat $CWD/xscreensaver.setuid.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+ #zcat $CWD/xscreensaver.setuid.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
unset USE_PAM
USE_SHADOW="--with-shadow"
fi
@@ -85,12 +88,6 @@ fi
# Add support for the electricsheep distributed screensaver:
zcat $CWD/xscreensaver.electricsheep.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
-# Remove a feature that pops up a nag screen claiming the version is old
-# after one year. Just don't send in bug reports on an old version, OK folks?
-# I hate to swim against upstream, but with all respect this feature is not
-# helpful to distributions.
-zcat $CWD/xscreensaver.no.expiration.date.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
-
# Make the description of the xscreensaver settings be clearly for xscreensaver
# as opposed to a generic "screensaver" settings
zcat $CWD/clarify-desc-in-xfce-settings.patch.gz | patch -p1 --verbose || exit 1
@@ -127,8 +124,12 @@ if [ -z $USE_PAM ]; then
chown root:shadow $PKG/usr/bin/xscreensaver
chmod 2751 $PKG/usr/bin/xscreensaver
else
+ ## Commenting out the chmod below, since as of v6.00 this binary is no longer
+ ## made setuid at installation. But if that changes, we'll go along with it
+ ## since jwz says it may be required to prevent OOM killer abuse from
+ ## unlocking the screen.
# No special perms needed with PAM:
- chmod 755 $PKG/usr/bin/xscreensaver
+ #chmod 755 $PKG/usr/bin/xscreensaver
mkdir -p $PKG/etc/pam.d
cat $CWD/xscreensaver.pam > $PKG/etc/pam.d/xscreensaver.new
mkdir -p $PKG/install
diff --git a/source/xap/xscreensaver/xscreensaver.no.expiration.date.diff b/source/xap/xscreensaver/xscreensaver.no.expiration.date.diff
deleted file mode 100644
index ed20ff6ce..000000000
--- a/source/xap/xscreensaver/xscreensaver.no.expiration.date.diff
+++ /dev/null
@@ -1,30 +0,0 @@
---- ./driver/prefs.c.orig 2018-04-09 20:21:20.000000000 -0500
-+++ ./driver/prefs.c 2018-04-13 13:38:47.859002138 -0500
-@@ -1734,6 +1734,17 @@
- shipping the last version with the old license and then never
- upgrading it again -- which would be the worst possible outcome for
- everyone involved, most especially the users.
-+
-+ ---
-+
-+ NOTE: This feature is disabled by Slackware... we do not ship multi-year
-+ old versions, nor do we think it is a good idea to include nag screens
-+ that activate when an expiration date is reached. In this case, the
-+ nag screen was activated after only one year, which practically insures
-+ that this will be seen before the next stable Slackware release.
-+ If there's a problem that needs fixing, we'll issue a fix.
-+ No nag screens please. Thanks for possibly reconsidering this!
-+
- */
-
- time_t now = time ((time_t *) 0); /* d */
-@@ -1766,5 +1777,8 @@
- mrnths = ((((tm->tm_year + 1900) * 12) + tm->tm_mon) - /* h */
- (y * 12 + m)); /* h */
- /* p */
-- return (mrnths >= 17); /* . */
-+ /* Disable date checking for Slackware: */ /* \■/ */
-+ /* return (mrnths >= 17); */ /* . */
-+ return ( 0 );
-+
- }